on:
  schedule:
    - cron: "0 3 * * sun" # Runs every 3AM on sunday

jobs:
  test:
    runs-on: nixos
    steps:
      - uses: actions/checkout@v4
      - run: git config --global user.name "flake-updater"
      - run: git config --global user.email "runner@git.koendev.nl"
      - run: nix flake update --extra-experimental-features nix-command --extra-experimental-features flakes
      - run: git commit flake.lock -m "Update flake.lock"
      - run: git push
